apiVersion: v1
kind: Pod
metadata:
  annotations:
    openshift.io/scc: forklift-controller-scc
    seccomp.security.alpha.kubernetes.io/pod: runtime/default
  creationTimestamp: "2024-07-08T19:01:52Z"
  generateName: mtv26-500vms-8esxs-plan8-vm-7222-
  labels:
    forklift.app: virt-v2v
    migration: ca281a45-beb4-445f-8666-422331c222cb
    plan: 171c98e7-76bd-47c5-b952-a65c418d8267
    vmID: vm-7222
  name: mtv26-500vms-8esxs-plan8-vm-7222-7fb5w
  namespace: mtv26-4000vms-8esxs
  resourceVersion: "594299374"
  uid: 9a0291aa-315d-4f17-bf71-69eb9a21855c
spec:
  containers:
  - env:
    - name: V2V_vmName
      value: dsl-4g-thick-fc-vm-5613
    - name: V2V_libvirtURL
      value: esx://root@172.16.11.9?no_verify=1
    - name: V2V_source
      value: vSphere
    - name: V2V_fingerprint
      value: 5B:C7:3E:99:D2:A6:2F:38:AF:F2:1E:96:A1:CF:5C:60:10:4E:4D:CF
    envFrom:
    - prefix: V2V_
      secretRef:
        name: mtv26-500vms-8esxs-plan8-vm-7222-v9vwx
    image: registry.redhat.io/migration-toolkit-virtualization/mtv-virt-v2v-rhel9@sha256:779fbd9444b2d7a58e9c34325bd566810fd51be6e2fc1e8ae270160f9fc10511
    imagePullPolicy: IfNotPresent
    name: virt-v2v
    ports:
    - containerPort: 2112
      name: metrics
      protocol: TCP
    resources:
      limits:
        devices.kubevirt.io/kvm: "1"
      requests:
        devices.kubevirt.io/kvm: "1"
    securityContext:
      allowPrivilegeEscalation: false
      capabilities:
        drop:
        - ALL
    terminationMessagePath: /dev/termination-log
    terminationMessagePolicy: File
    volumeDevices:
    - devicePath: /dev/block0
      name: mtv26-500vms-8esxs-plan8-vm-7222-lvg9z
    volumeMounts:
    - mountPath: /mnt/v2v
      name: libvirt-domain-xml
    - mountPath: /opt
      name: vddk-vol-mount
    - mountPath: /etc/secret
      name: secret-volume
      readOnly: true
    - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      name: kube-api-access-ktftd
      readOnly: true
  dnsPolicy: ClusterFirst
  enableServiceLinks: true
  initContainers:
  - image: quay.io/qiyuan1/test7
    imagePullPolicy: IfNotPresent
    name: vddk-side-car
    resources: {}
    securityContext:
      allowPrivilegeEscalation: false
      capabilities:
        drop:
        - ALL
    terminationMessagePath: /dev/termination-log
    terminationMessagePolicy: File
    volumeMounts:
    - mountPath: /opt
      name: vddk-vol-mount
    - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      name: kube-api-access-ktftd
      readOnly: true
  nodeName: worker009-r640
  nodeSelector:
    kubevirt.io/schedulable: "true"
  preemptionPolicy: PreemptLowerPriority
  priority: 0
  restartPolicy: Never
  schedulerName: default-scheduler
  securityContext:
    fsGroup: 107
    runAsNonRoot: true
    runAsUser: 107
    seccompProfile:
      type: RuntimeDefault
  serviceAccount: default
  serviceAccountName: default
  terminationGracePeriodSeconds: 30
  tolerations:
  - effect: NoExecute
    key: node.kubernetes.io/not-ready
    operator: Exists
    tolerationSeconds: 300
  - effect: NoExecute
    key: node.kubernetes.io/unreachable
    operator: Exists
    tolerationSeconds: 300
  volumes:
  - name: mtv26-500vms-8esxs-plan8-vm-7222-lvg9z
    persistentVolumeClaim:
      claimName: mtv26-500vms-8esxs-plan8-vm-7222-lvg9z
  - configMap:
      defaultMode: 420
      name: mtv26-500vms-8esxs-plan8-vm-7222-44knb
    name: libvirt-domain-xml
  - emptyDir: {}
    name: vddk-vol-mount
  - name: secret-volume
    secret:
      defaultMode: 420
      secretName: mtv26-500vms-8esxs-plan8-vm-7222-v9vwx
  - name: kube-api-access-ktftd
    projected:
      defaultMode: 420
      sources:
      - serviceAccountToken:
          expirationSeconds: 3607
          path: token
      - configMap:
          items:
          - key: ca.crt
            path: ca.crt
          name: kube-root-ca.crt
      - downwardAPI:
          items:
          - fieldRef:
              apiVersion: v1
              fieldPath: metadata.namespace
            path: namespace
      - configMap:
          items:
          - key: service-ca.crt
            path: service-ca.crt
          name: openshift-service-ca.crt
status:
  message: 'Pod was rejected: The node had condition: [DiskPressure]. '
  phase: Failed
  reason: Evicted
  startTime: "2024-07-08T19:01:52Z"
